*DT 10.28.22

set header=yes.
title "July 2022, Californians and Education".

get file="S:\Surveys\2022.04.27.sav".

show N.
delete variables q12 q44	q61.

rename variables 
(charter=s4)
(grdlevl=s5)
(nwsomk12=q1)
(calegk12=q2)
(k12gov=q3)
(kdirect=q4)
(k12imp=q5)
(k12goal=q6)
(qedk12pr=q7)
(qedk12ch=q8)
(cv19fal=q11)
(cv19clng=q12)
(cv19msk=q13)
(kidcvvx=q14)
(kidvxrq=q15)
(tchvxrq=q16)
(tchshort=q17)
(colready=q18)
(ellknow=q19)
(elloutcm=q20)
(ellprior=q21)
(ellwell=q22)
(wsfel2=q23)
(ellasst=q24)
(lifall=q25)
(ellfall=q26)
(k12rank=q27)
(k12testr=q28)
(edgrade=q29)
(collprep=q30)
(jobprep=q31)
(spendlsc=q32)
(edstbond=q33)
(schmdbnd=q34)
(educbond=q35)
(parceltx=q36)
(edlcbdid=q37)
(liresc=q38)
(ellresc=q39)
(spedresc=q40)
(tchqual=q41)
(teashrt=q42)
(teasal=q43)
(atrctch=q44)
(tchsal=q45)
(tchtrain=q46)
(tchrcimp=q47)
(lcffknow=q48)
(lcfffav=q49)
(lcffimp=q50)
(prekfund=q53)
(pschlimp=q55)
(qprekprb=q56)
(prek$prb=q57)
(kready=q58)
(ellready=q59)
(k12cte=q60)
(colvcte=q61)
(k12well=q62)
(schltyp=q63)
(edhope=q64)
(edworry=q65)
(racismpb=q66)
(discrim=q67)
(crmjstsy=q68)
(apnewecn=q69)
(goodtime=q70)
(ingood=q71)
(initok=q72)
(inchange=q73)
(initsint=q74)
(inwords=q75)
(initcomm=q76)
(abortroe=q77)
(scjcksn=q78)
(cv19know=q79)
(cv19fam=q80)
(cv19stss=q81)
(gotvax=q81a)
(gotboost=q81b)
(regvote=q82)
(strongd=q83)
(strongr=q83a)
(indlean=q83b)
(ideology=q84)
(agespec=d1)
(age=d1a)
(ownrent=d2)
(worktyp2=d5)
(yrsresid=d3a)
(income=d11)
(reporter=d15)
(sex=gender).


save outfile='S:\Surveys\Survey data\Web release\2022\2022.04.27.release.sav'.

get file='S:\Surveys\Survey data\Web release\2022\2022.04.27.release.sav'.


save outfile="S:\Surveys\Survey data\Web release\2022\2022.04.27.release.sav"
/keep= id version county
s3
s4
s5
q1
q2
q3
q4
q5
q6
q7
q8
q11
q12
q13
q14
q15
q16
q17
q18
q19
q20
q21
q22
q23
q24
q25
q26
q27
q28
q29
q30
q31
q32
q33
q34
q35
q36
q37
q38
q39
q40
q41
q42
q43
q44
q45
q46
q47
q48
q49
q50
q53
q55
q56
q57
q58
q59
q60
q61
q62
q63
q64
q65
q66
q67
q68
q69
q70
q71
q72
q73
q74
q75
q76
q77
q78
q79
q80
q81
q81a
q81b
q82
q83
q83a
q83b
q84
d1
d1a
d2
d3
d3a
d5
educ
race
usborn
d9a
d11
d15
gender
language likevote weight.

execute.

**Special recode for k12imp**.
recode q5 (0=99).
execute.

** Check frequencies **.

get file="S:\Surveys\Survey data\Web release\2022\2022.04.27.release.sav".

weight by weight.

frequencies
id version county
s3
s4
s5
q1
q2
q3
q4
q5
q6
q7
q8
q11
q12
q13
q14
q15
q16
q17
q18
q19
q20
q21
q22
q23
q24
q25
q26
q27
q28
q29
q30
q31
q32
q33
q34
q35
q36
q37
q38
q39
q40
q41
q42
q43
q44
q45
q46
q47
q48
q49
q50
q53
q55
q56
q57
q58
q59
q60
q61
q62
q63
q64
q65
q66
q67
q68
q69
q70
q71
q72
q73
q74
q75
q76
q77
q78
q79
q80
q81
q81aa
q81b
q82
q83
q83a
q83b
q84
d1
d1a
d2
d3
d3a
d5
educ
race
usborn
d9a
d11
d15
gender
language likevote weight.


